/* Plain text story syntax */
dp.sh.Brushes.Story = function()
{

	this.regexList = [
		{ regex: dp.sh.RegexLib.SingleLinePerlComments,			css: 'comment' },	// one line comments
		{ regex: dp.sh.RegexLib.DoubleQuotedString,			css: 'string' },	// double quoted strings
		{ regex: dp.sh.RegexLib.SingleQuotedString,			css: 'string' },	// single quoted strings
		{ regex: new RegExp('Story:.*$', 'gm'), 			css: 'story' },
		{ regex: new RegExp('Scenario:.*$', 'gm'), 			css: 'scenario' },
		{ regex: new RegExp('Given', 'g'), 				css: 'keyword' }, 
		{ regex: new RegExp('When', 'g'), 				css: 'symbol' }, 
		{ regex: new RegExp('And', 'g'),				css: 'symbol' }, 
		{ regex: new RegExp('As.*$', 'gm'), 				css: 'comment' }, 
		{ regex: new RegExp('I.*$', 'gm'), 				css: 'comment' },
		{ regex: new RegExp('So.*$', 'gm'),				css: 'comment' },
		{ regex: new RegExp('Then', 'g'),				css: 'condition' } 

		];

	this.CssClass = 'dp-rb';
	this.Style =	'.dp-rb .symbol { color: #a70; }' +
					'.dp-rb .variable { color: #a70; font-weight: bold; }';
}

dp.sh.Brushes.Story.prototype = new dp.sh.Highlighter();
dp.sh.Brushes.Story.Aliases = ['story', 'stories'];
